# Uses of Enum
org.apache.avro.mapred.tether.TaskType

Packages that use TaskType
Package
Description
org.apache.avro.mapred.tether
Run Hadoop MapReduce jobs over Avro data, with map and reduce functions run in a sub-process.

## Uses of TaskType in org.apache.avro.mapred.tether

Methods in org.apache.avro.mapred.tether that return TaskType
Modifier and Type
Method
Description
`static TaskType`
TaskType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TaskType[]`
TaskType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.avro.mapred.tether with parameters of type TaskType
Modifier and Type
Method
Description
`void`
InputProtocol.`configure(TaskType taskType, String inSchema, String outSchema)`
Configure the task.